port: 7890
socks-port: 7891
allow-lan: true
mode: rule
log-level: info
external-controller: 127.0.0.1:9090
proxies:
  - name: vless-reality0light
    type: vless
    server: 52.10.217.216
    port: 443
    uuid: feb01042-aaab-48ea-e1d8-e58a94358ed6
    network: tcp
    tls: true
    udp: true
    servername: mscom.demdex.net
    flow: xtls-rprx-vision
    client-fingerprint: chrome
    reality-opts:
      public-key: bymUgVH8hc0NwXgO-kmJCQwBNrcbwwEM_ZX66IALjBQ
      short-id: ''
  - name: Hysteria2
    type: hysteria2
    server: 52.10.217.216
    port: 443
    password: E2y1zoiQn8
    sni: c.vividus.io
    skip-cert-verify: false
  - name: JMS-1301576@c36s1.portablesubmarines.com:5958
    type: ss
    server: 104.160.41.128
    port: 5958
    cipher: aes-256-gcm
    password: FPDGDoBGBmUoHgxq
    udp: true
  - name: JMS-1301576@c36s2.portablesubmarines.com:5958
    type: ss
    server: 104.160.41.75
    port: 5958
    cipher: aes-256-gcm
    password: FPDGDoBGBmUoHgxq
    udp: true
  - name: JMS-1301576@c36s3.portablesubmarines.com:5958
    type: vmess
    server: 198.181.44.170
    port: 5958
    uuid: a0d34628-733e-47fb-baf6-a20eff781a73
    alterId: 0
    cipher: auto
    network: ws
    tls: false
    udp: true
  - name: JMS-1301576@c36s4.portablesubmarines.com:5958
    type: vmess
    server: 212.50.244.65
    port: 5958
    uuid: a0d34628-733e-47fb-baf6-a20eff781a73
    alterId: 0
    cipher: auto
    network: ws
    tls: false
    udp: true
  - name: JMS-1301576@c36s5.portablesubmarines.com:5958
    type: vmess
    server: 162.248.73.175
    port: 5958
    uuid: a0d34628-733e-47fb-baf6-a20eff781a73
    alterId: 0
    cipher: auto
    network: ws
    tls: false
    udp: true
  - name: JMS-1301576@c36s801.portablesubmarines.com:5958
    type: vmess
    server: 45.62.111.156
    port: 5958
    uuid: a0d34628-733e-47fb-baf6-a20eff781a73
    alterId: 0
    cipher: auto
    network: ws
    tls: false
    udp: true
proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - AUTO
      - vless-reality0light
      - Hysteria2
      - JMS-1301576@c36s1.portablesubmarines.com:5958
      - JMS-1301576@c36s2.portablesubmarines.com:5958
      - JMS-1301576@c36s3.portablesubmarines.com:5958
      - JMS-1301576@c36s4.portablesubmarines.com:5958
      - JMS-1301576@c36s5.portablesubmarines.com:5958
      - JMS-1301576@c36s801.portablesubmarines.com:5958
  - name: AUTO
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    proxies:
      - vless-reality0light
      - Hysteria2
      - JMS-1301576@c36s1.portablesubmarines.com:5958
      - JMS-1301576@c36s2.portablesubmarines.com:5958
      - JMS-1301576@c36s3.portablesubmarines.com:5958
      - JMS-1301576@c36s4.portablesubmarines.com:5958
      - JMS-1301576@c36s5.portablesubmarines.com:5958
      - JMS-1301576@c36s801.portablesubmarines.com:5958
rules:
  - IP-CIDR,10.0.0.0/8,DIRECT
  - IP-CIDR,127.0.0.0/8,DIRECT
  - IP-CIDR,172.16.0.0/12,DIRECT
  - IP-CIDR,192.168.0.0/16,DIRECT
  - IP-CIDR,224.0.0.0/24,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,PROXY
